/* Hero Section */
.hero-section .sp-logo {
    max-width: 85%;
    height: auto;
}

.hero-section h1 {
    font-weight: 700;
    letter-spacing: -1px;
}

.hero-banner {
    background-size: cover;
    background-position: center;
    width: auto;
    height: 55vh;
    margin-bottom: 20px;
}

.btn-black:hover {
    background-color: #333;
}

/* Section Sécurité/Extension/AssistTel/Réno&Déco... */
.rightImg, .leftImg {
    width: auto;
    height: 35vh;
    margin-bottom: 20px;
}

.rightImg, .leftImg, .imgSubscription {
    background-size: cover;
    background-position: center;
}

.picto-container h2 {
    margin-left: .5vw;
}


.picto-container .picto, .picto-text {
    width: 48px;
    height: 48px;
    margin-bottom: 20px;
}

.info-text {
    margin-left: 3vw;
}

.separator {
    margin-bottom: 20px;
}

.separator img {
    width: 100%;
    height: auto;
    filter: brightness(50%) contrast(200%);
}

.imgSubscription {
    width: 50vh;
    height: 50vh;
    margin-left: 30px;
}

.title-subscription {
    font-weight: bold;
    font-size: 2rem;
    background-color: red;
}

.sp-logo-subscription {
    max-width: 75%;
    height: auto;
}

.procedure {
    width: 70%;
    max-width: 500px;
    min-height: 300px;
    margin: auto;
}

.procedure ol li::marker {
    font-size: 2em;
    font-weight: 700;
}

.procedure ul li {
    list-style-type: none;
    line-height: 1.2;
}

.arrow {
    width: 4vh;
    height: auto;
}

/* --- */

.container-sp {
    width: 70vw;
    height: auto;
    border-radius: 75px;
    margin: 100px auto;
    overflow: hidden;
}

.text-container {
    width: 50%;
}

.image-container {
    width: 50%;
    height: auto;
    border-radius: 50px;
    margin: 0;
    padding: 0;
}

.image-container .lastImg {
    height: 100%;
    width: auto; /* Corrigé de auto% à auto */
    border-radius: 50px;
    background-size: cover;
    background-position: center; /* Modifié de left à center */
    background-color: pink;
}


.text-container .title {
    max-width: 75%;
    height: auto;
    margin: 5% auto;
}

.picto-container-end {
    width: 70%;
}

.picto-container-end p {
    font-weight: bold;
    margin-top: 2%;
    margin-left: 10%;
    font-size: 1.3rem;
}

    /* Responsive */
@media (max-width: 768px) {
    /* Hero Section*/
    .logo-container {
        margin: auto;
        background-color: red;
    }

    .hero-section h1, .hero-section p {
        padding-right: 15px;
        padding-left: 15px;
        text-align: left;
    }
    .hero-logo {
        text-align: center;
    }

    .hero-content button {
        text-align: center;
    }

    .hero-banner iframe {
        width: 95vw;
        height: 50vh;
        margin: auto;
    }

    .btn-container {
        text-align: center;
    }

    .container-sp {
        width: 85vw;
        height: 135vh;
        border-radius: 75px;
        margin: 50px auto;
        overflow: hidden;
    }

    .leftImg, .rightImg {
        border-radius: 20px;
    }

    .image-container, .text-container {
        width: auto;
        height: auto;
    }

    .image-container .lastImg {
        height: 30vh;
        width: 100%;
        width: auto;
        background-position: center;
    }

    .picto-container-end p {
        font-size: 1em;
        margin-top: 0%;
        margin-left: 5%;
    }
    .container-sp .d-flex {
        flex-direction: column;
    }

    .text-container .d-flex {
        flex-direction: row;
    }
}
